CycleRunsController_assignOperator
POST
/api/cycles/runs/{runId}/operator
const url = 'https://api.streams.chat/api/cycles/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/operator';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"userId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","scope":"phase","expectedPhaseId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","expectedActivationId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","actionAttemptId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","intent":"pool_pick"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams.chat/api/cycles/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/operator \ --header 'Content-Type: application/json' \ --data '{ "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "scope": "phase", "expectedPhaseId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "expectedActivationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "actionAttemptId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "intent": "pool_pick" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”runId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
userId
required
string format: uuid
scope
string
expectedPhaseId
string format: uuid
expectedActivationId
string format: uuid
actionAttemptId
string format: uuid
intent
string